; /home/nureki/nakane/crystfel-0.6.0pre/src/.libs/lt-geoptimiser -i 179858-179900-dirax.stream -g sacla-14Feb-525-predrefine.geom -o sacla-14Feb-525-predrefine-opt.geom -e -c connected -q independent
; Optimized panel offsets can be found at the end of the file
; /home/nureki/nakane/crystfel-0.6.0pre/src/.libs/lt-geoptimiser -i ../index-520/14Feb-dirax.stream -g sacla-14Feb-520-orig.geom -o sacla-14Feb-520.geom -e -c connected -q independent
; Optimized panel offsets can be found at the end of the file
; CrystFEL geometry file produced by make_geom_from_h5.py
;   Takanori Nakane (takanori.nakane@bs.s.u-tokyo.ac.jp)
; for tiled but NOT reassembled images (512x8192 pixels)

; NOTE:
; This file is for multi-event HDF5 files. To use in single-event
; files, you have to edit 'data' record and prepare .beam file

clen = 0.0525
res = 20000  ; 50 micron  1m /50 micron
;badrow_direction = x
;adu_per_eV = /LCLS/adu_per_eV
;max_adu = 250000 ; should NOT be used. see best practice on Web
data = /%/data ; change this to /LCLS/data for single-event files
photon_energy = /%/photon_energy_ev ; roughly 7002.363770. change this to /LCLS/photon_energy_eV for single-event files

q1/adu_per_eV = 0.001428
q1/min_fs = 0
q1/min_ss = 0
q1/max_fs = 511
q1/max_ss = 1023
q1/fs = -0.002304x -0.999998y
q1/ss = +0.999998x -0.002304y
q1/corner_x = 35.8184
q1/corner_y = 1034.6

q2/adu_per_eV = 0.001428
q2/min_fs = 0
q2/min_ss = 1024
q2/max_fs = 511
q2/max_ss = 2047
q2/fs = -0.000859x -1.000000y
q2/ss = +1.000000x -0.000859y
q2/corner_x = 35.2535
q2/corner_y = 500.005

q3/adu_per_eV = 0.001428
q3/min_fs = 0
q3/min_ss = 2048
q3/max_fs = 511
q3/max_ss = 3071
q3/fs = -0.000332x -1.000000y
q3/ss = +1.000000x -0.000332y
q3/corner_x = -15.0535
q3/corner_y = -35.0291

q4/adu_per_eV = 0.001428
q4/min_fs = 0
q4/min_ss = 3072
q4/max_fs = 511
q4/max_ss = 4095
q4/fs = +0.000097x -1.000000y
q4/ss = +1.000000x +0.000097y
q4/corner_x = -15.0749
q4/corner_y = -568.463

q5/adu_per_eV = 0.001428
q5/min_fs = 0
q5/min_ss = 4096
q5/max_fs = 511
q5/max_ss = 5119
q5/fs = +0.001734x +0.999999y
q5/ss = -0.999999x +0.001734y
q5/corner_x = 19.8203
q5/corner_y = 569.098

q6/adu_per_eV = 0.001428
q6/min_fs = 0
q6/min_ss = 5120
q6/max_fs = 511
q6/max_ss = 6143
q6/fs = +0.001383x +0.999999y
q6/ss = -0.999999x +0.001383y
q6/corner_x = 17.8392
q6/corner_y = 36.1476

q7/adu_per_eV = 0.001428
q7/min_fs = 0
q7/min_ss = 6144
q7/max_fs = 511
q7/max_ss = 7167
q7/fs = +0.001769x +0.999998y
q7/ss = -0.999998x +0.001769y
q7/corner_x = -31.3696
q7/corner_y = -498.034

q8/adu_per_eV = 0.001428
q8/min_fs = 0
q8/min_ss = 7168
q8/max_fs = 511
q8/max_ss = 8191
q8/fs = +0.001129x +0.999999y
q8/ss = -0.999999x +0.001129y
q8/corner_x = -31.2927
q8/corner_y = -1032.13

rigid_group_q1 = q1
rigid_group_q2 = q2
rigid_group_q3 = q3
rigid_group_q4 = q4
rigid_group_q5 = q5
rigid_group_q6 = q6
rigid_group_q7 = q7
rigid_group_q8 = q8

;rigid_group_collection_connected = rigid_group_q1,rigid_group_q2,rigid_group_q3,rigid_group_q4,rigid_group_q5,rigid_group_q6,rigid_group_q7,rigid_group_q8
;rigid_group_collection_independent = rigid_group_q1,rigid_group_q2,rigid_group_q3,rigid_group_q4,rigid_group_q5,rigid_group_q6,rigid_group_q7,rigid_group_q8
rigid_group_collection_connected = q1,q2,q3,q4,q5,q6,q7,q8
rigid_group_collection_independent = q1,q2,q3,q4,q5,q6,q7,q8


q1/coffset = -0.000016
q2/coffset = -0.000016
q3/coffset = -0.000016
q4/coffset = -0.000016
q5/coffset = -0.000016
q6/coffset = -0.000016
q7/coffset = -0.000016
q8/coffset = -0.000016
